#!/usr/bin/env bash

##--------------------------------------------------------------------
## Copyright (c) 2020 Dianomic Systems Inc.
##
## Licensed under the Apache License, Version 2.0 (the "License");
## you may not use this file except in compliance with the License.
## You may obtain a copy of the License at
##
##     http://www.apache.org/licenses/LICENSE-2.0
##
## Unless required by applicable law or agreed to in writing, software
## distributed under the License is distributed on an "AS IS" BASIS,
## WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
## See the License for the specific language governing permissions and
## limitations under the License.
##--------------------------------------------------------------------

##
## Author: Ashish Jabble
##

ID=$(cat /etc/os-release | grep -w ID | cut -f2 -d"=")
if [ ${ID} = "raspbian" ]; then
  version=$(python3 -c 'import sys; print(".".join(map(str, sys.version_info[:2])))')
  if [ ${version} = "3.7" ]; then
      wget https://github.com/lhelontra/tensorflow-on-arm/releases/download/v2.0.0/tensorflow-2.0.0-cp37-none-linux_armv7l.whl
      pip3 install tensorflow-2.0.0-cp37-none-linux_armv7l.whl
      rm tensorflow-2.0.0-cp37-none-linux_armv7l.whl
  fi
  if [ ${version} = "3.5" ]; then
      wget https://github.com/lhelontra/tensorflow-on-arm/releases/download/v1.14.0-buster/tensorflow-1.14.0-cp35-none-linux_armv7l.whl
      pip3 install tensorflow-1.14.0-cp35-none-linux_armv7l.whl
      rm tensorflow-1.14.0-cp35-none-linux_armv7l.whl
  fi

else
    msg=$(cat /proc/cpuinfo | grep avx)
    if [ "$msg" = "" ]; then
        pip3 install --no-cache-dir  https://github.com/matcom/ml/releases/download/tf-no-avx/tensorflow-1.12.0rc0-cp36-cp36m-linux_x86_64.whl
    else
        pip3 install tensorflow==1.14.0
    fi
fi
